
Foreman - Feature #21204

Helper function to read settings and global default entry

10/05/2017 03:31 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Templates   

Target version: 1.18.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4891,

https://github.com/theforeman/communit

y-templates/pull/430,

https://github.com/theforeman/foreman/p

ull/5512,

https://github.com/theforeman/communit

y-templates/pull/509

  

Description

Locked templates made very difficult to change to discovery in global default templates, user needs to unlock 2+2+2 (PXELinux,

Grub, Grub2 template + discovery snippet) and make necessary changes just to change the default menu entry. This can be done

via global setting.

Edit: After some discussion, it will be required to have explicit list of global settings which can be accessed by the helper. Also

templates can be also modified to use host/hostgroup parameter when present to override the default behavior.

Related issues:

Related to Foreman - Bug #24849: Use local instead of local_chain_hd0 default... Closed

Associated revisions

Revision bdcdb09c - 02/23/2018 06:51 AM - Lukas Zapletal

Fixes #21204 - introduced global_setting helper function (#4891)

Revision 0faf3900 - 03/16/2018 07:40 PM - Lukas Zapletal 

Refs #21204 - default PXE entry from settings

Revision 9fa46aac - 05/02/2018 01:56 PM - Michael Moll 

Refs #21204 - correct duplicate key in settings fixture

Revision db2f8275 - 10/05/2018 09:06 AM - Lukas Zapletal

Refs #21204 - use local as the default for grubs (#509)

History

#1 - 10/05/2017 04:10 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Lukas Zapletal

- Pull request https://github.com/theforeman/community-templates/pull/430 added

#2 - 10/05/2017 04:10 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/4891 added

- Pull request deleted (https://github.com/theforeman/community-templates/pull/430)

#3 - 10/06/2017 09:22 AM - The Foreman Bot
- Pull request https://github.com/theforeman/community-templates/pull/430 added

#4 - 10/09/2017 09:56 AM - Lukas Zapletal

- Description updated

Added some notes.

#5 - 02/23/2018 06:51 AM - Marek Hulán

- translation missing: en.field_release set to 330

#6 - 02/23/2018 07:01 AM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset bdcdb09ca3a39dc7cd117cdbf177491d1f45bf1d.

#7 - 04/30/2018 01:01 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5512 added

#8 - 09/10/2018 07:06 AM - Lukas Zapletal

- Related to Bug #24849: Use local instead of local_chain_hd0 default setting for local templates added

#9 - 09/10/2018 07:14 AM - The Foreman Bot

- Pull request https://github.com/theforeman/community-templates/pull/509 added
